import Api from '../axios'

const prefix = '/rpm/chart'

export default {
  /* 查询 */
  list (obj) {
    return Api.get(prefix + '/list', obj)
  },
  /* 添加 */
  save (obj) {
    return Api.post(prefix , obj)
  },
  /* 该状态 */
  status (obj) {
    return Api.putById(prefix + '/status', obj)
  },
  /* 该状态 */
  delete (obj) {
    return Api.deleteById(prefix , obj)
  },
  /* 该状态 */
  get (obj) {
    return Api.getById(prefix , obj)
  },
  /* 该状态 */
  update (obj) {
    return Api.putById(prefix , obj)
  },
  /* 通过分类ID获取接口列表信息 */
  listInterfaceByProject (obj) {
    return Api.getById(prefix + '/listInterfaceByProject', obj)
  },
  /* 通过接口ID获取接口出参节点 */
  listInterfaceOutParams (obj) {
    return Api.getById(prefix + '/listInterfaceOutParams', obj)
  },
  /* 获取接口分类信息 */
  listInterfaceProject (obj) {
    return Api.get(prefix + '/listInterfaceProject', obj)
  },
  /* 根据主题查询KPI列表 */
  listKpiConfigs (obj) {
    return Api.getById(prefix + '/listKpiConfigs', obj)
  },
  /* 通过接口ID获取接口出参节点 */
  listProjectAndInterfaceTree (obj) {
    return Api.get(prefix + '/listProjectAndInterfaceTree', obj)
  },
  /* 查询主题树(Ztree格式带检索) */
  topicForZtree (obj) {
    return Api.get(prefix + '/topicForZtree', obj)
  },

  /* 获取报表数据 */
  getChartData (obj) {
    return Api.post(prefix + '/getChartData', obj)
  },
}
